Bug 519426 - Wrong orientation default for VBox
Summary: Wrong orientation default for VBox
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glade3
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 531402 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 15:17 UTC by Tim Waugh
Modified: 2010-11-06 14:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 17:32:31 UTC


Attachments (Terms of Use)
A glade file with hbox. (17.20 KB, text/plain)
2009-09-15 10:36 UTC, Joel Andres Granados
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 587256 None None None Never

Description Tim Waugh 2009-08-26 15:17:32 UTC
Description of problem:
The default orientation for VBox is horizontal.

Version-Release number of selected component (if applicable):
glade3-3.6.7-2.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Create a new window
2.Put a VBox in it, accepting the default number of items (3)
3.Note whether 'Orientation:' label is in bold
4.Right-click on Orientation: label and select 'Set default value'
  
Actual results:
Label is in bold (meaning it is not the default value).
Value is reset to Horizontal.

Expected results:
Label is not in bold.
Value remains Vertical.

Comment 1 Joel Andres Granados 2009-09-15 10:36:30 UTC
Created attachment 361058 [details]
A glade file with hbox.

Same issue with attached file.

"""
[joel@dhcp-lab-139 anaconda]$ rpm -qa | grep glade
glade3-3.6.7-2.fc12.x86_64
"""

Comment 2 Bug Zapper 2009-11-16 11:42:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Cole Robinson 2009-11-18 19:02:05 UTC
*** Bug 531402 has been marked as a duplicate of this bug. ***

Comment 4 Nils Philippsen 2010-02-09 15:35:44 UTC
NB: This also happens with many legacy glade2-generated files, i.e. vboxes becoming hboxes just by loading a file into glade3.

Comment 5 Bug Zapper 2010-11-04 10:21:44 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Tim Waugh 2010-11-04 17:32:31 UTC
Seems to be fixed in glade3-3.7.1-2.fc14.x86_64.

Comment 7 Kenny Meyer 2010-11-06 14:56:25 UTC
(In reply to comment #6)
> Seems to be fixed in glade3-3.7.1-2.fc14.x86_64.

I can confirm that.


Note You need to log in before you can comment on or make changes to this bug.